Part Cone/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Part_Sphere|Sphere]]
|[[Part_Sphere|Sphere]]
Line 40: Line 41:
* {{PropertyData|Height}}: Height of the Part Cone
* {{PropertyData|Height}}: Height of the Part Cone
* {{PropertyData|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
* {{PropertyData|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.

== Scripting ==

A Part Cone can be created using the following function:

{{Code|code=
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
}}

* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.




Line 53: Line 65:
{{Part Tools navi{{#translation:}}}}
{{Part Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 14:03, 8 January 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A parametric truncated Part Cone primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue.

A Part Cone with the parameter "Angle" set to 270 degrees and all other parameters are set to their default values.

Usage

  1. Switch to the Part Workbench
  2. There are two ways to invoke the command:
    • Press the Cone button in the toolbar.
    • Select the Part → Primitives → Cone from the menu bar.

Result: The default values create a truncated parametric cone that is positioned at the origin (point 0,0,0) and attached to the global xy-plane. Its height of 10 mm is along the global z-axis. The lower DataRadius 1 is 2 mm, the upper DataRadius 2 is 4 mm.

The cone properties can later be edited, either in the Property editor or by double-clicking the cone in the Tree view.

Properties

  • DataRadius 1: Radius of the arc or circle defining the lower face
  • DataRadius 2: Radius of the arc or circle defining the upper face
  • DataHeight: Height of the Part Cone
  • DataAngle: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.